;Model file S1: NONMEM model file of the infectiousness model

$SIZES NO=5000 PD=-100 LVR=50

$PROBLEM COVID-19 cases

$INPUT ID TIME STATE=DROP TIME2 DROP DV LNDV LNDVCR OBS CMT AMT EVID MDV NUMBER CASE0 ICUDATASET DIVIFLAG SCHOOLS STORECLOSURE CURFEW RESTRAININGORDER CARNIVAL FLAGZEROOBS FLAGRKI FLAGMP DOSING2 MAXIMUMICU FLAG20200714 MDV20200714 FLAG20200804 RKIDEATHS MPCASES MPCASESRECOVRKIDEATH Zweitimpfungen secondDosesCumulative tglImpfungen Datenende LastTimeImpfungen CumTglImpfungen fixRt_0 fixRt_1 fixRt_2 fixRt_3 fixRt_4 fixRt_5 fixRt_6 fixRt_7 fixRt_8 fixRt_9 fixRt_10 fixRt_11 fixRt_12 fixRt_13 fixRt_14 fixRt_15 fixRt_16 fixRt_17 fixRt_18 fixRt_19 fixRt_20 fixRt_21 fixRt_22 fixRt_23 fixRt_24 fixRt_25 fixRt_26 fixRt_27 fixCP_4 fixCP_5 fixCP_6 fixCP_7 fixCP_8 fixCP_9 fixCP_10 fixCP_11 fixCP_12 fixCP_13 fixCP_14 fixCP_15 fixCP_16 fixCP_17 fixCP_18 fixCP_19 fixCP_20 fixCP_21 fixCP_22 fixCP_23 fixCP_24 fixCP_25 fixCP_26 fixCP_27 fixF2 PREDIC MDVLAST
$DATA DATASET.csv IGNORE=@ IGNORE(DOSING2.EQ.1) IGNORE(CMT.GT.3) IGNORE(FLAGZEROOBS.EQ.1) IGNORE(ID.EQ.17) IGNORE(FLAGRKI.EQ.1) IGNORE(TIME.GE.466)

$SUBROUTINES ADVAN13 TOL=5
$MODEL NCOMPS=3

$PK
;Changepoints (COVi) and Rt-values (Ei) fixed to previously estimated values until the most recent ones (COV22, E22 and following) to save computational time
Q_0 = 0
RtSTART = fixRt_0
COV1 = SCHOOLS                      ;Time of school closing, covariate in dataset
E1 = fixRt_1
COV2 = CARNIVAL                     ;Time of German carnival, covariate in dataset
E2 = fixRt_2
COV3 = MAX(CURFEW,RESTRAININGORDER) ;Time of restraining order, covariate in dataset
E3 = fixRt_3
MTDIFF = 1
MTIME(1) = fixCP_4
COV4 = MPAST(1)
E4 = fixRt_4
MTIME(2) = fixCP_5
COV5 = MPAST(2)
E5 = fixRt_5
MTIME(3) = fixCP_6
COV6 = MPAST(3)
E6 = fixRt_6
MTIME(4) = fixCP_7
COV7 = MPAST(4)
E7 = fixRt_7
MTIME(5) = fixCP_8
COV8 = MPAST(5)
E8 = fixRt_8
MTIME(7) = fixCP_9
COV9 = MPAST(7)
E9 = fixRt_9
MTIME(8) = fixCP_10
COV10 = MPAST(8)
E10 = fixRt_10
MTIME(9) = fixCP_11
COV11 = MPAST(9)
E11 = fixRt_11
MTIME(10) =fixCP_12
COV12 = MPAST(10)
E12 = fixRt_12
MTIME(11) = fixCP_13
COV13 = MPAST(11)
E13 = fixRt_13
MTIME(12) = fixCP_14
COV14 = MPAST(12)
E14 = fixRt_14
MTIME(13) = fixCP_15
COV15 = MPAST(13)
E15 = fixRt_15
MTIME(14) =fixCP_16
COV16 = MPAST(14)
E16 = fixRt_16
MTIME(15) = fixCP_17
COV17 = MPAST(15)
E17 = fixRt_17
MTIME(16) = fixCP_18
COV18 = MPAST(16)
E18 = fixRt_18
MTIME(17) = fixCP_19
COV19 = MPAST(17)
E19 = fixRt_19
MTIME(18) = fixCP_20
COV20 = MPAST(18)
E20 = fixRt_20
MTIME(19) = fixCP_21
COV21 = MPAST(19)
E21 = fixRt_21
;Estimated most recent changepoints and Rt-values
MTIME(20) = MTIME(19)+THETA(41)
COV22 = MPAST(20)
E22 = THETA(42)*EXP(ETA(24))
MTIME(21) = MTIME(20)+THETA(43)
COV23 = MPAST(21)
E23 = THETA(44)*EXP(ETA(25))
MTIME(22) = MTIME(21)+THETA(45)
COV24 = MPAST(22)
E24 = THETA(46)*EXP(ETA(26))
MTIME(23) = THETA(47)
COV25 = MPAST(23)
E25 = THETA(48)*EXP(ETA(27))

k=0.072
initVOC=0.002

RtFREE_OLD = RtSTART*(1-COV1)+E2*COV2+E1*(COV1-COV3)+E3*(COV3-COV4)+E4*(COV4-COV5)+E5*(COV5-COV6)+E6*(COV6-COV7)+E7*(COV7-COV8)+E8*(COV8-COV9)+E9*(COV9-COV10)+E10*(COV10-COV11)+E11*(COV11-COV12)+E12*(COV12-COV13)+E13*(COV13-COV14)+E14*(COV14-COV15)+E15*(COV15-COV16)+E16*(COV16-COV17)+E17*(COV17-COV18)+E18*(COV18-COV19)+E19*(COV19-COV20)+E20*(COV20-COV21)+E21*(COV21-COV22)+E22*(COV22-COV23)+E23*(COV23-COV24)+E24*(COV24-COV25)+E25*COV25

RtBASE = RtSTART
Rt_0 = RtSTART 
Rt_1 = E1 
Rt_2 = E2 
Rt_3 = E3 
Rt_4 = E4 
CP_4 = MTIME(1)
Rt_5 = E5 
CP_5 = MTIME(2)
Rt_6 = E6 
CP_6 = MTIME(3)
Rt_7 = E7 
CP_7 = MTIME(4)
Rt_8 = E8 
CP_8 = MTIME(5)
Rt_9 = E9 
CP_9 = MTIME(7)
Rt_10 = E10 
CP_10 = MTIME(8)
Rt_11 = E11 
CP_11 = MTIME(9)
Rt_12 = E12 
CP_12 = MTIME(10)
Rt_13 = E13 
CP_13 = MTIME(11)
Rt_14 = E14 
CP_14 = MTIME(12)
Rt_15 = E15 
CP_15 = MTIME(13)
Rt_16 = E16 
CP_16 = MTIME(14)
Rt_17 = E17 
CP_17 = MTIME(15)
Rt_18 = E18 
CP_18 = MTIME(16)
Rt_19 = E19 
CP_19 = MTIME(17)
Rt_20 = E20 
CP_20 = MTIME(18)
Rt_21 = E21 
CP_21 = MTIME(19)
Rt_22 = E22 
CP_22 = MTIME(20)
Rt_23 = E23 
CP_23 = MTIME(21)
Rt_24 = E24 
CP_24 = MTIME(22)
Rt_25 = E25 
CP_25 = MTIME(23)

F2 = fixF2
ALAG2 = 9

isolation = 100
infectious = 7

gamma = 1/(infectious)

A_0(1) = NUMBER

InitDay = 347
FractionInfectious = 0.08
FractionUninfetious = 1-FractionInfectious

$DES
DaysSinceVOC = T-InitDay
IF(T.LT.InitDay) DaysSinceVOC = 0
VOC = 1/(1+((1-initVOC)/initVOC)*EXP(-k*DaysSinceVOC))
IF(T.LT.InitDay) VOC = 0
RtFREE = RtFREE_OLD*(1-VOC)+RtFREE_OLD*1.35*VOC
beta = RtFREE*gamma

DADT(1) = -beta*A(1)/NUMBER*A(2)                    ;S
DADT(2) = beta*A(1)/NUMBER*A(2) -  gamma*A(2)       ;I
DADT(3) = gamma*A(2)                                ;C

$ERROR
DaysSinceVOC_Err = TIME-InitDay
IF(TIME.LT.InitDay) DaysSinceVOC_Err = 0
VOC_Err = 1/(1+((1-initVOC)/initVOC)*EXP(-k*DaysSinceVOC_Err))
IF(TIME.LT.InitDay) VOC_Err = 0
Rt = RtFREE_OLD*(1-VOC_Err)+RtFREE_OLD*1.35*VOC_Err
SUSCEPTIBLES = A(1)
Rt = Rt*SUSCEPTIBLES/NUMBER
CASES = A(3)+Q_0

IPRED = CASES
W = IPRED
DEL = 0
IF(IPRED.EQ.0) DEL = 0.001
IRES	= DV - IPRED
IWRES   = IRES/(W+DEL)
Y  = IPRED *EXP(EPS(1)) + EPS(2)

$THETA
(0, 2.78,15) FIX ;1 RtFREE
(0.1, 1.92,5) FIX ;2 SCHOOLS
(0) FIX ;3 CARNIVAL
(0.1, 1.1,5) FIX ;4 RESTRAIN
(0.1, 0.636,5) FIX ;5 EFFECT4
(0, 0.636,5) FIX ;6 EFFECT5
(0, 0.716) FIX ;7 EFFECT6
(90, 101) FIX ;8 MTIME4
(0, 24.9) FIX ;9 +MTIME5
(1, 10.6) FIX ;10 +MTIME6
(0, 30) FIX ;11 +MTIME7
(0, 1.08,5) FIX ;12 EFFECT7
(0, 11.6) FIX ;13 +MTIME8
(0, 0.857,5) FIX ;14 EFFECT8
(0, 24.9) FIX ;15 +MTIME9
(0, 1.33,5) FIX ;16 EFFECT9
(0, 28.6,40) FIX ;17 +MTIME10
(0, 1.05,5) FIX ;18 EFFECT10
(0, 9.92,30) FIX ;19 +MTIME11
(0, 0.946,5) FIX ;20 EFFECT11
(0, 18.4,40) FIX ;21 +MTIME12
(0, 1.25,5) FIX ;22 EFFECT12
(0, 26.1,40) FIX ;23 +MTIME13
(0, 1.51,5) FIX ;24 EFFECT13
(0, 8.7,40) FIX ;25 +MTIME14
(0, 1.55,5) FIX ;26 EFFECT14
(5, 15.8,40) FIX ;27 +MTIME15
(0, 1.12,5) FIX ;28 EFFECT15
(5, 9.08,40) FIX ;29 +MTIME16
(0, 0.998,5) FIX ;30 EFFECT16
(5, 13.3,40) FIX ;31 +MTIME17
(0, 0.978,5) FIX ;32 EFFECT17
(5, 10.9,40) FIX ;33 +MTIME18
(0, 1.22,5) FIX ;34 EFFECT18
(7, 18.4,40) FIX ;35 MTIME19
(0, 0.667,5) FIX ;36 EFFECT19
(7, 9.89,40) FIX ;37 +MTIME20
(0, 1.22,5) FIX ;38 EFFECT20
(7, 10.4,20) FIX;39 +MTIME21
(0, 0.796,5) FIX;40 EFFECT21
(7, 14,20) ;41 +MTIME22
(0, 0.8,5) ;42 EFFECT22
(5, 6,20) ;43 +MTIME23
(0, 0.7,5) ;44 EFFECT23
(7, 11,20) ;45 +MTIME24
(0, 0.9,1.5) ;46 EFFECT24
(442) FIX ;47 MTIME25
(0, 1,1.5) ;48 EFFECT25

$OMEGA 
 0 FIX  ;1 RtFREE
 0 FIX  ;2 SCHOOLS
 0 FIX  ;3 CARNIVAL
 0 FIX  ;4 RESTRAIN
 0 FIX  ;5 EFFECT4
 0 FIX  ;6 EFFECT5
 0 FIX  ;7 EFFECT6
 0 FIX  ;8 F2
 0 FIX  ;9 EFFECT7
 0 FIX  ;10 EFFECT8
 0 FIX  ;11 EFFECT9
 0 FIX  ;12 EFFECT10
 0 FIX  ;13 EFFECT11
 0 FIX  ;14 EFFECT12
 0 FIX  ;15 EFFECT13
 0 FIX  ;16 EFFECT14
 0 FIX  ;17 EFFECT15
 0 FIX  ;18 EFFECT16
 0 FIX  ;19 EFFECT17
 0 FIX  ;20 EFFECT18
 0 FIX  ;21 EFFECT19
 0 FIX  ;22 EFFECT20
 0 FIX  ;23 EFFECT21
 0.01 ;24 EFFECT22
 0.01 ;25 EFFECT23
 0.01 ;26 EFFECT24
 0.01 ;27 EFFECT25

$SIGMA 
 0.00003 ;prop c
 1100 ;add c

$EST METHOD=1 INTER MAXEVAL=9999 NOABORT NSIG=3 SIGL=6 PRINT=1 POSTHOC

$COV UNCONDITIONAL

$TABLE ID TIME TIME2 DV OBS CMT EVID MDV IPRED Rt Rt_0 Rt_1 Rt_2 Rt_3 Rt_4 Rt_5 Rt_6 Rt_7 Rt_8 Rt_9 Rt_10 Rt_11 Rt_12 Rt_13 Rt_14 Rt_15 Rt_16 Rt_17 Rt_18 Rt_19 Rt_20 Rt_21 Rt_22 Rt_23 Rt_24 Rt_25 CP_4 CP_5 CP_6 CP_7 CP_8 CP_9 CP_10 CP_11 CP_12 CP_13 CP_14 CP_15 CP_16 CP_17 CP_18 CP_19 CP_20 CP_21 CP_22 CP_23 CP_24 CP_25 F2 RtFREE RtFREE_OLD ONEHEADER NOPRINT FILE=sdtab2001

